# $Revision: 1.24 $, $Date: 2008/07/27 22:40:58 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Readonly
Summary:	Readonly - facility for creating read-only scalars, arrays, hashes
Summary(pl.UTF-8):	Readonly - udogodnienie do tworzenia zmiennych tylko do odczytu
Name:		perl-Readonly
Version:	1.03
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/R/RO/ROODE/%{pdir}-%{version}.tar.gz
# Source0-md5:	0acef3a995ac9ecf575f66a726d638f4
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-Test-Simple
BuildRequires:	perl-Test-Harness
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a facility for creating non-modifiable variables.  This is
useful for configuration files, headers, etc.  It can also be useful as
a development and debugging tool, for catching updates to variables that
should not be changed.

%description -l pl.UTF-8
Readonly umożliwia tworzenie niemodyfikowalnych zmiennych.  Jest to
użyteczne w plikach konfiguracyjnych, nagłówkach, itp.  Może być także
przydatne jako narzędzie do rozwijania programów i wyszukiwania błędów,
wyłapując próby zapisu do zmiennych, które nie powinny być zmieniane.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Readonly.spec,v $
Revision 1.24  2008/07/27 22:40:58  arekm
- release 3

Revision 1.23  2007-02-13 07:47:14  glen
- tabs in preamble

Revision 1.22  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.21  2004/12/01 10:13:43  radek
- standarized Source0 URL

Revision 1.20  2004/11/03 22:30:41  paladine
- formatting

Revision 1.19  2004/05/07 00:32:03  ankry
- rel. 2

Revision 1.18  2004/05/06 18:01:31  ankry
- fixed perl-devel BR

Revision 1.17  2004/04/27 21:44:54  ankry
- license fixes, cosmetics

Revision 1.16  2004/04/25 20:23:42  adamg
- new style bconds

Revision 1.15  2004/04/25 16:46:16  adamg
- updated to 1.03

Revision 1.14  2004/04/15 08:39:04  ankry
- summary/description cosmetics

Revision 1.13  2003/09/18 13:20:53  adamg
- updated to 1.02

Revision 1.12  2003/09/09 10:24:47  ankry
- spaces -> tab

Revision 1.11  2003/08/18 08:09:10  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.10  2003/05/28 13:00:59  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:24:55  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/04/11 18:59:26  radek
- BR: perl-devel; do not BR: perl

Revision 1.7  2003/03/01 20:45:53  radek
- should be ready for perl-5.8.0; release++

Revision 1.6  2003/02/25 00:41:46  radek
- use the __perl macro

Revision 1.5  2003/02/18 23:56:19  ankry
- autoupdated to 1.01

Revision 1.4  2003/02/18 15:37:55  ankry
- massive attack: change CPAN URLs

Revision 1.3  2003/02/05 16:19:34  ankry
- autoupdated to 1.00

Revision 1.2  2002/09/09 13:39:32  radek
- pl summary/description; release 2

Revision 1.1  2002/09/08 15:51:10  radek
- new, STBR

